# Project Torque Launcher

PT won't run in Proton atm for some reason, so this script will create a 32-bit WINE prefix.


## Requirements

* Wine (tested with 8.0)
* Python 3.8.0+ (tested with 3.12.0)


## Installation

### pipx

First install system dependencies if you haven't already

	sudo apt install python3 python3-pipx wine cabextract

Then use pipx to install the launcher

	pipx install git+https://git.barkshark.xyz/izaliamae/pt-launcher

Finally set the run command in Steam: Project Torque > Right-click > Properties >
Set Launcher Options > `~/.local/bin/ptlaunch %command%`


## Usage

If `~/.local/bin` is on your `PATH`, you can run `ptlaunch --help` to get a list of commands. You
probably want to run `ptlaunch locate` to find and store the location of the Project Torque binary.
Then you can either set the launch command in steam or just run `ptlaunch run` to start the game.


## To Do

* Add `install` command to create a desktop shortcut in the applications menu
* Use TK to create a GUI to display any info or errors that show up
